# Class PedFamily

java.lang.Object
org.snpeff.ped.PedPedigree
org.snpeff.ped.PedFamily

All Implemented Interfaces:
  `Comparable<PedPedigree>, Iterable<TfamEntry>`

public class PedFamily extends PedPedigree
A family: A group of Tfams with the same familyId

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`PedFamily()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(TfamEntry tfamEntry)`
Add an entry t this family

### Methods inherited from class PedPedigree

`compareTo, families, get, getFamilyId, getPlinkMap, getSampleIds, iterator, keySet, load, loadTfam, saveTfam, setVerbose, size, toString, values`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Constructor Details

### PedFamily

public PedFamily()

## Method Details

### add

public void add(TfamEntry tfamEntry)
Add an entry t this family

Overrides:
  `add` in class `PedPedigree`
Parameters:
  `tfamEntry` -